com.io7m.smfj.processing.main

## Class SMFMemoryMeshFilterCheckConfiguration

- java.lang.Object
- - com.io7m.smfj.processing.main.SMFMemoryMeshFilterCheckConfiguration

- All Implemented Interfaces:
    SMFMemoryMeshFilterCheckConfigurationType

      @Generated(value={"Immutables.generator","SMFMemoryMeshFilterCheckConfigurationType"})
      public final class SMFMemoryMeshFilterCheckConfiguration
      extends Object
      implements SMFMemoryMeshFilterCheckConfigurationType

  A specification of how an attribute should be checked.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SMFMemoryMeshFilterCheckConfiguration.Builder` Builds instances of type `SMFMemoryMeshFilterCheckConfiguration`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFMemoryMeshFilterCheckConfiguration.Builder` | `builder()` Creates a builder for `SMFMemoryMeshFilterCheckConfiguration`.
    `OptionalInt` | `componentCount()`
    `OptionalInt` | `componentSize()`
    `Optional<SMFComponentType>` | `componentType()`
    `static SMFMemoryMeshFilterCheckConfiguration` | `copyOf(SMFMemoryMeshFilterCheckConfigurationType instance)` Creates an immutable copy of a `SMFMemoryMeshFilterCheckConfigurationType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `SMFMemoryMeshFilterCheckConfiguration` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `name`, `componentType`, `componentCount`, `componentSize`.
    `SMFAttributeName` | `name()`
    `static SMFMemoryMeshFilterCheckConfiguration` | `of(SMFAttributeName name, Optional<SMFComponentType> componentType, OptionalInt componentCount, OptionalInt componentSize)` Construct a new immutable `SMFMemoryMeshFilterCheckConfiguration` instance.
    `String` | `toString()` Prints the immutable value `SMFMemoryMeshFilterCheckConfiguration` with attribute values.
    `SMFMemoryMeshFilterCheckConfiguration` | `withComponentCount(int value)` Copy the current immutable object by setting a present value for the optional `componentCount` attribute.
    `SMFMemoryMeshFilterCheckConfiguration` | `withComponentCount(OptionalInt optional)` Copy the current immutable object by setting an optional value for the `componentCount` attribute.
    `SMFMemoryMeshFilterCheckConfiguration` | `withComponentSize(int value)` Copy the current immutable object by setting a present value for the optional `componentSize` attribute.
    `SMFMemoryMeshFilterCheckConfiguration` | `withComponentSize(OptionalInt optional)` Copy the current immutable object by setting an optional value for the `componentSize` attribute.
    `SMFMemoryMeshFilterCheckConfiguration` | `withComponentType(Optional<? extends SMFComponentType> optional)` Copy the current immutable object by setting an optional value for the `componentType` attribute.
    `SMFMemoryMeshFilterCheckConfiguration` | `withComponentType(SMFComponentType value)` Copy the current immutable object by setting a present value for the optional `componentType` attribute.
    `SMFMemoryMeshFilterCheckConfiguration` | `withName(SMFAttributeName value)` Copy the current immutable object by setting a value for the `name` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### name

          public SMFAttributeName name()

      Specified by:
        `name` in interface `SMFMemoryMeshFilterCheckConfigurationType`
      Returns:
        The name of the attribute

    - #### componentType

          public Optional<SMFComponentType> componentType()

      Specified by:
        `componentType` in interface `SMFMemoryMeshFilterCheckConfigurationType`
      Returns:
        The type of components

    - #### componentCount

          public OptionalInt componentCount()

      Specified by:
        `componentCount` in interface `SMFMemoryMeshFilterCheckConfigurationType`
      Returns:
        The number of components per element

    - #### componentSize

          public OptionalInt componentSize()

      Specified by:
        `componentSize` in interface `SMFMemoryMeshFilterCheckConfigurationType`
      Returns:
        The size of components in bits

    - #### withName

          public final SMFMemoryMeshFilterCheckConfiguration withName(SMFAttributeName value)

      Copy the current immutable object by setting a value for the `name` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for name
      Returns:
        A modified copy of the `this` object

    - #### withComponentType

          public final SMFMemoryMeshFilterCheckConfiguration withComponentType(SMFComponentType value)

      Copy the current immutable object by setting a present value for the optional `componentType` attribute.
      Parameters:
        `value` - The value for componentType
      Returns:
        A modified copy of `this` object

    - #### withComponentType

          public final SMFMemoryMeshFilterCheckConfiguration withComponentType(Optional<? extends SMFComponentType> optional)

      Copy the current immutable object by setting an optional value for the `componentType` attribute. An equality check is used on inner nullable value to prevent copying of the same value by returning `this`.
      Parameters:
        `optional` - A value for componentType
      Returns:
        A modified copy of `this` object

    - #### withComponentCount

          public final SMFMemoryMeshFilterCheckConfiguration withComponentCount(int value)

      Copy the current immutable object by setting a present value for the optional `componentCount` attribute.
      Parameters:
        `value` - The value for componentCount
      Returns:
        A modified copy of `this` object

    - #### withComponentCount

          public final SMFMemoryMeshFilterCheckConfiguration withComponentCount(OptionalInt optional)

      Copy the current immutable object by setting an optional value for the `componentCount` attribute. An equality check is used on inner nullable value to prevent copying of the same value by returning `this`.
      Parameters:
        `optional` - A value for componentCount
      Returns:
        A modified copy of `this` object

    - #### withComponentSize

          public final SMFMemoryMeshFilterCheckConfiguration withComponentSize(int value)

      Copy the current immutable object by setting a present value for the optional `componentSize` attribute.
      Parameters:
        `value` - The value for componentSize
      Returns:
        A modified copy of `this` object

    - #### withComponentSize

          public final SMFMemoryMeshFilterCheckConfiguration withComponentSize(OptionalInt optional)

      Copy the current immutable object by setting an optional value for the `componentSize` attribute. An equality check is used on inner nullable value to prevent copying of the same value by returning `this`.
      Parameters:
        `optional` - A value for componentSize
      Returns:
        A modified copy of `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `SMFMemoryMeshFilterCheckConfiguration` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `name`, `componentType`, `componentCount`, `componentSize`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `SMFMemoryMeshFilterCheckConfiguration` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static SMFMemoryMeshFilterCheckConfiguration of(SMFAttributeName name,
                                                                 Optional<SMFComponentType> componentType,
                                                                 OptionalInt componentCount,
                                                                 OptionalInt componentSize)

      Construct a new immutable `SMFMemoryMeshFilterCheckConfiguration` instance.
      Parameters:
        `name` - The value for the `name` attribute
        `componentType` - The value for the `componentType` attribute
        `componentCount` - The value for the `componentCount` attribute
        `componentSize` - The value for the `componentSize` attribute
      Returns:
        An immutable SMFMemoryMeshFilterCheckConfiguration instance

    - #### copyOf

          public static SMFMemoryMeshFilterCheckConfiguration copyOf(SMFMemoryMeshFilterCheckConfigurationType instance)

      Creates an immutable copy of a `SMFMemoryMeshFilterCheckConfigurationType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable SMFMemoryMeshFilterCheckConfiguration instance

    - #### builder

          public static SMFMemoryMeshFilterCheckConfiguration.Builder builder()

      Creates a builder for `SMFMemoryMeshFilterCheckConfiguration`.
      Returns:
        A new SMFMemoryMeshFilterCheckConfiguration builder

Copyright © 2017 <code@io7m.com> http://io7m.com